--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(savegame)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		setTextColor(1,0.847,0,1);
		renderText(0.66, 0.29, 0.020, InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP)..": "..g_i18n:getText("KLF_INFO_EIN"));
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.66, 0.29, 0.020, InputBinding.getKeyNamesOfDigitalAction(InputBinding.TOGGLE_SHOW_HELP)..": "..g_i18n:getText("KLF_INFO_AUS"));
		renderText(0.64, 0.81, 0.021, "- ELW Info -");
		renderText(0.64, 0.75, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Heckwarner)..": "..g_i18n:getText("Heckwarner"));
		renderText(0.64, 0.73, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Horn_L)..": "..g_i18n:getText("Horn_L"));
		renderText(0.64, 0.71, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Horn_S)..": "..g_i18n:getText("Horn_S"));
		renderText(0.64, 0.69, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Horn_E)..": "..g_i18n:getText("Horn_E"));
		renderText(0.64, 0.67, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Unfall)..": "..g_i18n:getText("BL_MATRIX"));
		renderText(0.64, 0.61, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.Horn_P)..": "..g_i18n:getText("Horn_P"));
		renderText(0.64, 0.59, 0.018, InputBinding.getKeyNamesOfDigitalAction(InputBinding.vehicleLicense)..": "..g_i18n:getText("input_vehicleLicense"));

	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;

InputBinding.getKeyNamesOfDigitalAction = function(actionIndex)
  local actionData = InputBinding.actions[actionIndex]
  if actionData.keys1 then
    return InputBinding.getKeyNames(actionData.keys1)
  elseif actionData.keys2 then
    return InputBinding.getKeyNames(actionData.keys2)
  else
    return ""
  end
end



